﻿package {
	 import flash.display.MovieClip;
	 import flash.display.SimpleButton;
     import flash.display.Sprite;
    import flash.display.Shape;
    import flash.display.Loader;
    import flash.display.Bitmap; 
    import flash.text.TextField;  
    import flash.net.FileReference;
    import flash.net.URLLoader;
    import flash.events.Event;
    import flash.events.MouseEvent;
    public class LocalFileLoad extends Sprite {
		private var myfile:FileReference;
        private var getLocalImgBtn:SimpleButton;
		private var drawBase:MovieClip;
		private var MAX_DRAW:int = 320;
		private var _local_bmp:Bitmap; 
		private var _cLayer:SetLayer;
        public function LocalFileLoad() {
            // write as3 code here..

        }
		/**
		 * 
		 * @param	btn
		 * @param	base
		 */
		public function setView(btn:SimpleButton,base:MovieClip,layer:SetLayer) {
			getLocalImgBtn = btn;
			drawBase = base;
			cLayer = layer
		}
        public function initEvent():void{
            myfile = new FileReference();
            myfile.addEventListener( Event.SELECT , fileSelect );
			myfile.addEventListener( Event.COMPLETE, loadComplete );
            getLocalImgBtn.addEventListener(  MouseEvent.CLICK, fileBrowse );
        }
        private function fileBrowse( evt:Event ):void {
			myfile.browse();	
		}
		private function fileSelect( evt:Event ):void {
			myfile.load();
		}

		/**
		 * ロード終了
		 * @param	evt
		 */
		private function loadComplete(evt:Event):void {
			var myLoader:Loader = new Loader();
			myLoader.loadBytes( myfile.data );
			myLoader.contentLoaderInfo.addEventListener( Event.INIT, initLoaded );
		}
		/**
		 * 選択したファイルの画像を表示します。
		 * @param	evt
		 */
		private function initLoaded(evt:Event):void{
			local_bmp = Bitmap( evt.target.content );
			//clearBaseImg();
			sizeCheck( local_bmp );
			cLayer.setBmp( local_bmp );
		}
			/**
		 * ピクセルのサイズをチェックしてエリアを越えていたらフィットする
		 * @param	bmp
		 */
		private function sizeCheck( bmp:Bitmap ) {
			if (bmp.width >= bmp.height) {
				bmp.width = MAX_DRAW;
				bmp.scaleY = bmp.scaleX;
			} else {
				bmp.height = MAX_DRAW;
				bmp.scaleX = bmp.scaleY;				
			}
		}

		
		public function get local_bmp():Bitmap { return _local_bmp; }
		
		public function set local_bmp(value:Bitmap):void 
		{
			_local_bmp = value;
		}
		
		public function get cLayer():SetLayer { return _cLayer; }
		
		public function set cLayer(value:SetLayer):void 
		{
			_cLayer = value;
		}
		
    }
}