﻿package 
{
	import flash.display.Bitmap;
	import flash.display.BitmapData;
	import flash.display.MovieClip;
	import flash.display.SimpleButton;
	import flash.events.MouseEvent;
	import flash.geom.Matrix;
	import flash.geom.Rectangle;
	
	/**
	 * ...
	 * @author KazutakaSAKURAI
	 */
	public class DrawDisplay 
	{
        private var copyImgBtn:SimpleButton;
		private var drawBase:MovieClip;
		private var drawCopy:MovieClip;
		private var _resetBtn:SimpleButton;
		public function DrawDisplay() {
			
		}
		/**
		 * 
		 * @param	btn
		 * @param	base
		 * @param	copy
		 */
		public function setView(btn:SimpleButton, base:MovieClip, copy:MovieClip,resetBtn:SimpleButton ) {
			copyImgBtn = btn;
			drawBase = base;
			drawCopy = copy;
			_resetBtn = resetBtn;
			_resetBtn.addEventListener( MouseEvent.CLICK, resetCopy );
		}
		/**
		 * 
		 */
		public function initEvent():void {
			copyImgBtn.addEventListener(MouseEvent.CLICK, displayCopy );
		}
		/**
		 * 
		 * @param	evt
		 */
		private function displayCopy( evt:MouseEvent ) {
			var bmp:BitmapData = new BitmapData(
						320, 320, true, 0xffffffff);

			bmp.draw(drawBase, null, null, null, null, true);
			var bm:Bitmap = new Bitmap( bmp );
			drawCopy.addChild( bm );
		}
		/**
		 * 画像消去
		 */
		private function resetCopy(evt:MouseEvent=null) {
			while ( drawCopy.numChildren > 0) {
				drawCopy.removeChildAt(0);
			}
		}			
	}
	
}