﻿package 
{
	import flash.display.Sprite;
	import flash.events.MouseEvent;
	/**
	 * ...
	 * @author KazutakaSAKURAI
	 */
	public class  DrawTool extends Sprite
	{
		private var remove:Sprite; // 後でremoveChildするためにクラススコープで...
		private var drawSprite:Sprite ;
		private var mouseSprite:Sprite ;
		private var bDrag:Boolean = false;
		private var lineColor:uint;
		private var lineThick:uint;
		public function DrawTool() {
		}
		public function drawModeInit(areaX:Number = 0, areaY:Number = 0,
						areaW:Number=800, areaH:Number=600,lColor:uint=0,lThick:uint=0):void {
		   drawSprite= Sprite(addChild(new Sprite()));
		   mouseSprite = Sprite(addChild(new Sprite()));
		   remove = mouseSprite;

		   mouseSprite.graphics.beginFill(0, 0 );
		   mouseSprite.graphics.drawRect(areaX,areaY,areaW,areaH); //
		   mouseSprite.graphics.endFill();
		   mouseSprite.addEventListener(MouseEvent.MOUSE_DOWN,enableFunc);
		   mouseSprite.addEventListener(MouseEvent.MOUSE_MOVE,drawingFunc);
		   mouseSprite.addEventListener(MouseEvent.MOUSE_UP, disableFunc);
		   lineColor = lColor;
		   lineThick = lThick;
		}
		private function enableFunc(evt:MouseEvent):void {
		   // drag開始
		   bDrag = true;
		   // 現在のマウス位置へmoveTo
		   drawSprite.graphics.moveTo(drawSprite.mouseX,drawSprite.mouseY);
		}
		private function drawingFunc(evt:MouseEvent):void{
		   if(bDrag){
			  // drag中の場合のみ描画（lineTo）
			  drawSprite.graphics.lineStyle(lineThick, lineColor);
			  drawSprite.graphics.lineTo(drawSprite.mouseX,drawSprite.mouseY);
		   }
		}
		private function disableFunc(evt:MouseEvent):void{
		   // drag終了
		   bDrag = false;
		}
		private function drawModeEnd():void{
		   if(contains(remove))removeChild(remove);
		   // イベントの削除
		   mouseSprite.removeEventListener(MouseEvent.MOUSE_DOWN,enableFunc);
		   mouseSprite.removeEventListener(MouseEvent.MOUSE_MOVE,drawingFunc);
		   mouseSprite.removeEventListener(MouseEvent.MOUSE_UP,disableFunc);
		}		
	}
	
}